Subject: Re: [PATCH 1/9 v2] powerpc: change FDT compatible prefix to mrvl

From: Segher Boessenkool <[email-masked]>
Date: Tue, 8 Apr 2008 08:34:47 +0200

>> Either use the stock ticker, in UPPER CASE, or use a nice
>> descriptive name.  The lower case space is "free for all",
>> using shortened names (like "mrvl") there only increases
>> the chances of collisions.
>
> Frankly Segher, it doesn't matter to me.  However, NONE of the
> existing DTS files use upper-case stock ticker.  I see no reason
> to deviate from the existing convention

It's not an existing convention, it's a mistake some people made ;-)

> (even if that convention
> doesn't follow the previously defined upper-case stock ticker
> convention.)

That's not a "previously defined convention", it's the defined
rules in the OF standard.  Conventions are examples that are nice
to follow if there's no real reason to choose either way; standards
are things that if you break them, people shout out you.

Let me say this again: it is *fine* if you use some lower-case name.
In that case though, "marvell" is slightly better than "mrvl", and
you had the former already, so just keep it :-)

Agreed?  Ca we move on now?  :-)

Segher